: List Collections

API: loc.gov:library-of-congress-apis
Endpoint: /collections/
Response format: application/json
Auth: none
Method: GET
Last Status: 200
Latency: 1773ms

Description

Retrieve a list of thematic collections.

Parameters (1)

fo (string, query, optional)

Output format

Constraints: {'enum': ['json', 'yaml']}

Examples (2)

List digital collections openapi-spec
curl 'https://www.loc.gov/collections/?fo=json&c=25'
import requests

resp = requests.get(
    "https://www.loc.gov/collections/",
    params={
        'fo': 'json',
        'c': '25',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("library-of-congress-apis")
result = api.fetch("collections/", fo="json", c=25)

for item in result:
    print(item)
const resp = await fetch("https://www.loc.gov/collections/?fo=json&c=25");
const data = await resp.json();
List Collections openapi-spec
curl 'https://www.loc.gov/collections/?fo=json'
import requests

resp = requests.get(
    "https://www.loc.gov/collections/",
    params={
        'fo': 'json',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("library-of-congress-apis")
result = api.fetch("collections/", fo="json")

for item in result:
    print(item)
const resp = await fetch("https://www.loc.gov/collections/?fo=json");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 17:02:33.661860 200 1773ms
2026-04-16 03:19:56.477793 200 128ms
2026-04-16 02:38:37.518053 200 529ms
2026-04-15 01:49:57.884200 200 133ms
2026-04-15 00:12:22.504552 200 994ms
2026-04-14 02:50:25.386833 200 137ms
2026-04-14 01:21:56.153472 200 644ms
2026-04-12 15:57:55.548634 200 152ms
2026-04-12 14:45:50.275422 ERR
2026-04-10 01:25:25.347420 ERR
2026-04-10 00:36:23.112502 200 716ms
2026-04-09 02:02:46.588868 200 232ms
2026-04-09 00:03:54.797090 200 541ms
2026-04-08 07:42:44.951542 200 1183ms
2026-04-08 07:34:47.928236 200 514ms
2026-04-07 00:12:39.764993 200 140ms
2026-04-07 00:05:36.432901 200 1452ms
2026-04-06 05:15:56.932784 200 221ms
2026-04-06 04:07:05.941547 200 1072ms
2026-04-05 03:51:15.935058 200 212ms
2026-04-05 03:15:36.448122 200 231ms
2026-04-04 02:22:54.700889 200 835ms
2026-04-04 02:04:33.008312 200 597ms
2026-04-03 13:03:18.412057 200 654ms
2026-04-03 12:01:24.243117 200 608ms
2026-03-30 03:03:24.927003 200 147ms
2026-03-30 02:03:37.581783 200 142ms
2026-03-29 13:10:36.506719 200 472ms
2026-03-29 13:01:53.695458 200 580ms
2026-03-23 10:37:18.761921 200 104ms 0.9MB
2026-03-23 09:05:16.524413 200 668ms 0.5MB